# Loki::HeapStorage< T > Class Template Reference
[Storage policies]

`#include <SmartPtr.h>`

List of all members.

## Public Types

typedef T * | InitPointerType
| the type of the pointee_ object
typedef T * | PointerType
| type used to declare OwnershipPolicy type.
typedef T & | ReferenceType
| type returned by operator->

## Public Member Functions

| HeapStorage ()
| type returned by operator*

## Detailed Description

### template<class T>
class Loki::HeapStorage< T >

Implementation of the StoragePolicy used by SmartPtr. Uses explicit call to T's destructor followed by call to free.

The documentation for this class was generated from the following file:

- SmartPtr.h